Pertanyaan Bagaimana menginstal postgresql 9.4


Setelah mencoba apt-get install postgresql-9.4, memperbarui, mencoba lagi dll. Sepertinya saya tidak dapat menginstalnya:

 Couldn't find any package by regex 'postgresql-9.4'

Saya tahu ada pertanyaan serupa di askubuntu tetapi jawaban di sana juga tidak berhasil.

Saya perlu postgresql versi 9.4 karena saya melakukan pg: backup dari Heroku dan saya dapatkan ini kesalahan jika saya tidak memiliki 9.4.

Terima kasih banyak atas bantuan Anda.


20
2018-06-08 20:29


asal


Bagaimana kami harus membantu Anda? Anda tidak menyebutkan versi Ubuntu Anda. - A.B.
Situs web resmi menjelaskan langkah-langkah untuk menambahkan repositori postgresql, yang kemudian memungkinkan Anda untuk mengunduh postresql. Info lebih lanjut : postgresql.org/download/linux/ubuntu - Sergiy Kolodyazhnyy


Jawaban:


Perintah ini menginstal versi terbaru untuk distribusi Anda:

sudo apt-get install postgresql

postgresql-9.4 tersedia sejak Utopic.

Sumber

Sini adalah panduan langkah demi langkah untuk menginstal Postgesql 9.4 untuk versi Ubuntu (Utopic, Trusty, Precise, Lucid) Anda.

sudo add-apt-repository "deb https://apt.postgresql.org/pub/repos/apt YOUR_UBUNTU_VERSION_HERE-pgdg main" 

Untuk dapat dipercaya:

sudo add-apt-repository "deb https://apt.postgresql.org/pub/repos/apt/ trusty-pgdg main"

Untuk mendapatkan versi ubuntu Anda:

lsb_release -sc

Sekarang impor kunci publik dan instal:

wget --quiet -O - https://postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add - 
sudo apt-get update
sudo apt-get install postgresql-9.4

44
2018-06-08 20:37



Jawaban diperbaiki, tetapi apa Versi Ubuntu Anda? - A.B.
Terima kasih, saya memilih jawaban Anda, saya akan mengujinya dalam beberapa jam. Saya menggunakan Ubuntu 14.04 LTS - Trusty. - alejoss
@alejoss: Sepertinya Anda lupa untuk menerima jawaban ini: Jika jawaban ini membantu Anda, jangan lupa mengeklik tombol abu-abu  di sebelah kiri teks ini, yang artinya Ya, jawaban ini valid! ;-) - Fabby
bekerja atau saya di percaya. Terima kasih. - JasonGenX


Gunakan perintah berikut (perintahnya bisa mendapatkan versi Ubuntu Anda, Tidak perlu perubahan manual):

sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ $(lsb_release -cs)-pgdg main" > /etc/apt/sources.list.d/pgdg.list'
wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
sudo apt-get update
sudo apt-get install postgresql-9.4 pgadmin3

Sumber: Cara Menginstal PostgreSQL 9.4 di Ubuntu / Linux Mint


13
2017-11-28 09:07



terima kasih, ini bekerja dengan baik. +1 untuk membuat ini dinamis dengan 'lsb_release -cs' - Aidan Melen


Anda dapat menginstalnya dengan menjalankan

sudo apt-get install postgresql

Versi 9.3 akan dipasang untuk 14.04, 9,4 untuk 14.10 dan 15.04.

Jika Anda membutuhkan 9.4 dengan Ubuntu 14.04, Anda dapat menginstalnya seperti yang dijelaskan di situs postgresql


6
2018-06-09 16:30





Jika Anda ingin menginstal PostgreSQL 9.5 di Ubuntu dalam versi tertentu seperti Ubuntu 14 maka Ikuti langkah-langkahnya:

Buat file /etc/apt/sources.list.d/pgdg.list dan tambahkan baris untuk repositori:

sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ trusty-pgdg main"> /etc/apt/sources.list.d/pgdg.list'

Impor kunci penandatanganan repositori, dan perbarui daftar paket:

wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | \
sudo apt-key add -
sudo apt-get update
sudo apt-get install postgresql-9.5

0
2018-01-10 08:23